<div class="container">
    <h2>Approval Project</h2>
    <div>
        <!-- <div class="modal-body"> -->
        <div class="row">
            <div class="col-sm-12">
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nama Project / Kode Project" />
                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
        <p-dataTable [value]="purchaseOrders" [editable]="false" [rows]="itemsPerPage" [paginator]="true"
            [pageLinks]="5" [rowsPerPageOptions]="[10, 15, 20]" [totalRecords]="totalItems" [responsive]="true"
            [lazy]="true" dataKey="idproject" (onLazyLoad)="loadDataLazy($event)" [(selection)]="selected">
            <p-header>
                <br />
                <div class="d-flex flex-row-reverse">
                    <div class="nav-item">
                        <div>
                            <form name="searchForm" class="form-inline">
                                <div class="input-group w-70 mt-2" [hidden]="idstatus === 2 || idstatus === 4">
                                    <div class="btn-filter-wrapper">
                                        <button (click)="unregPP()" [disabled]="selected?.length == 0" type="button"
                                            class="btn btn-primary btn-filter">
                                            <span>Not Approve</span>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="nav-item">
                        <div>
                            <form name="searchForm" class="form-inline">
                                <div class="input-group w-70 mt-2" [hidden]="idstatus === 2 || idstatus === 4">
                                    <div class="btn-filter-wrapper">
                                        <button (click)="createRequest()" [disabled]="selected?.length == 0"
                                            type="button" class="btn btn-primary btn-filter">
                                            <span>Approve</span>
                                        </button>
                                        &nbsp; &nbsp;
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </p-header>
            <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
            <p-column header="No" [style]="{ width: '70px', 'text-align': 'center' }">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{ rowIndex + 1 }}
                </ng-template>
            </p-column>
            <p-column header="Kode Project">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.kd_project }}
                </ng-template>
            </p-column>
            <p-column header="Nama Project">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.nm_project }}
                </ng-template>
            </p-column>
            <p-column header="Keterangan Project">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.keterangan_project }}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.iduser }}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Buat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.waktu_input | date : "dd-MM-yyyy" }}
                </ng-template>
            </p-column>
            <p-column header="PIC 1">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.pic }}
                </ng-template>
            </p-column>
            <p-column header="PIC 2">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.pic2 }}
                </ng-template>
            </p-column>
            <p-column header="Divisi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{ rowData.kd_div }}
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
</div>
<p-dialog header="Not Approved PP" [(visible)]="newModalNote" modal="true" [width]="700" (onHide)="backappNotApp()">
    <form name="notesForm" role="form" novalidate (ngSubmit)="notApproved()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px">
            <label class="form-control-label" for="field_Noteed">Note</label>
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="noteNotAppPP">
      </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Not Approved" icon="fa-save"
                class="ui-button-primary flat-label-button"></button>
        </div>
    </form>
</p-dialog>
<!-- <p-confirmDialog></p-confirmDialog> -->